RubyGems Navigation menu

javonet-ruby-sdk 2.4.1

Javonet allows you to reference and use modules or packages written in (Java/Kotlin/Groovy/Clojure, C#/VB.NET, Ruby, Perl, Python, JavaScript/TypeScript) like they were created in your technology. It works on Linux/Windows and MacOS for applications created in JVM, CLR/Netcore, Perl, Python, Ruby, NodeJS, C++ or GoLang and gives you unparalleled freedom and flexibility with native performance in building your mixed-technologies products. Let it be accessing best AI or cryptography libraries, devices SDKs, legacy client modules, internal custom packages or anything from public repositories available on NPM, Nuget, PyPI, Maven/Gradle, RubyGems or GitHub. Get free from programming languages barriers today! For more information check out our guides at https://www.javonet.com/guides/v2/

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 2.4.1 - May 14, 2024 (122 MB)
  2. 2.4.0 - May 09, 2024 (122 MB)
  3. 2.3.0 - April 08, 2024 (120 MB)
  4. 2.2.0 - March 12, 2024 (172 MB)
  5. 2.1.14 - February 16, 2024 (172 MB)
Show all versions (22 total)

Runtime Dependencies (3):

ffi ~> 1.16
os ~> 1.1
securerandom ~> 0.3.0

Development Dependencies (7):

bundler ~> 2.4
http ~> 5.1
rake ~> 13.1
rspec ~> 3.12
simplecov ~> 0.22.0

Owners:

Pushed by:

Authors:

  • SdNCenter Sp. z o. o.

SHA 256 checksum:

4b6b3f2a1a2b9ac9a24a339edf542261894ea0eadc22e928451f98e808fecf3d

Total downloads 7,196

For this version 174

License:

MIT

Required Ruby Version: >= 2.7

Links: